local newTiledImage = require("newTiledImage")

local starfield = love.image.newImageData("starfield.png")
local tiledBackground = newTiledImage(starfield,200)
local px,py = 100,100

function love.update(dt)
	local speed = 1000*dt
	if (love.keyboard.isDown("up")) then
		py = py - speed
	end
	if (love.keyboard.isDown("down")) then
		py = py + speed
	end
	if (love.keyboard.isDown("left")) then
		px = px - speed
	end
	if (love.keyboard.isDown("right")) then
		px = px + speed
	end
end

function love.draw()
	local width,height = love.graphics.getDimensions()
	
	love.graphics.push()
	love.graphics.translate(-px+width/2,-py+height/2) --focus on px,py
	
	love.graphics.setColor(255,255,255,255)
	tiledBackground:draw(px-width/2,py-height/2,width,height) --input world coordinates, i.e. area camera is focused on
	
	love.graphics.setColor(0,255,0,96)
	love.graphics.circle("fill",px,py,20,20)
	love.graphics.setColor(0,0,0,96)
	love.graphics.circle("line",px,py,20,20)
	
	love.graphics.pop()
end